package PageObjectClasses;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

public class LoginPage {

    // driver object
    WebDriver obj;

    private By usernameF = By.id("inputUsername");
    private By passwordF = By.xpath("//input[@placeholder='Password']");
    private By loginButton = By.cssSelector(".submit.signInBtn"); // Updated this line to use cssSelector instead of className


    // Constructor
    public LoginPage(WebDriver obj) {
        this.obj = obj; // this.obj means class obj assigning the parameter obj value in it.
    }

    // Methods

    public void enterUsername(String username) {
        obj.findElement(usernameF).sendKeys(username);
    }

    public void enterPassword(String password) {
        obj.findElement(passwordF).sendKeys(password);
    }

    public void clickSignButton() {

        obj.findElement(loginButton).click();
    }

}
